Create a plan

The create payment plan can be created using the create plan API. A plan Id is mandatory before a customer payment subscription can be created.

A plan can be created with different billing cycles and pricing tiers to accommodate the merchants products and services.

A plan is a template containing a set of payment setting (amount and frequency) which can be standardise to customer payment subscription being created.

Body Params
string
required

Plan name. Max of 50 characters.

string

Brief memo of the plan. Max of 50 characters.

string

Specify an accounting code to categorise revenue collected from the plan's subscription payment. Max of 50 characters.

amount
object

The gross amount charged to the customer, inclusive of tax. Supports decimal values for cents. For example, $24.50 would be 24.50.

tax
object

The tax rate applied to the plan's amount. If left blank, uses the tax rate specified in the merchant settings by default.

setupPayments
array of objects

Setup payment settings.

setupPayments
string
Defaults to week

Specifies frequency of billing. Valid values are day, week or month. If no value is provided, the default value is week.

int32

Number to be specified as interval to manipulate billing frequency. For example interval=2 and intervalUnit=week would means billing every 2 weeks. If no value is provided, the default value is 1.

string
Defaults to immediate

Specifies the default day the billing schedule starts for customers subscribed to the plan. Supported values are: immediate - Default value. Subscriptions will start on the same day. day_of_week - Subscriptions will start on a specific day as defined in billingStartValue. day_of_month - Subscriptions will start on specific day in the month as defined in billingStartValue.

string

Specifies the rules to automate when a subscription ends. Supported values are: ongoing - Default value. Subscriptions created from this plan will have no end date and continue billing on an ongoing basis (until instructions are given to stop billing). amount_collected - Subscriptions will end when a specified amount is collected as defined in billingEndValue. billing_cycles - Subscriptions will end after a specified number of billing cycles as defined in billingEndValue. end_date - Subscriptions will end on specific date. Specify this date when you create a subscription in billingEndValue.

string

Specifies the rules to auto-calculate the billing charges for the first scheduled billing. Supported values are: full_amount - Default value. The first billing will charge the full amount on the subscription as defined in the plan's amount. prorate - Prorate will be auto-calculated for the first billing in the subscription for the pro-rated period, with full recurring billing amount starting from the next billing cycle.

Headers
string
required

Merchant ID

Responses

Language
Response
Choose an example:
application/json